# $Revision: 1.25 $, $Date: 2006/11/26 20:28:14 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	QuickForm
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}_Controller

Summary:	%{_pearname} - add-on to HTML_QuickForm that allows building of multiple forms
Summary(pl):	%{_pearname} - dodatek do HTML_QuickForm umoliwiajcy budowanie wielu formularzy
Name:		php-pear-%{_pearname}
Version:	1.0.7
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	8b6bce2b88852c18c930dd42d4387dcc
URL:		http://pear.php.net/package/HTML_QuickForm_Controller/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear >= 4:1.0-9.1
Requires:	php-pear-HTML_QuickForm >= 3.2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is essentially an implementation of a PageController
pattern.

Architecture:
- Controller class that examines HTTP requests and manages form values
  persistance across requests.
- Page class (subclass of QuickForm) representing a single page of the
  form.
- Business logic is contained in subclasses of Action class.

Cool features:
- Includes several default actions that allows easy building of
  multipage forms.
- Includes usage examples for common usage cases (single-page form,
  wizard tabbed form).

In PEAR status of this package is: %{_status}.

%description -l pl
Ten pakiet jest implementacj szablonu PageController.

Architektura:
- Klasa Controller badajca zapytania HTTP i zarzdzajca wartociami
  formularza pomidzy kolejnymi zapytaniami.
- Klasa Page (podklasa QuickForm) reprezentujca pojedyncz stron
  formularza.
- Logika biznesowa zawarta jest w podklasach klasy Action.

Ciekawe cechy:
- Zawiera kilka domylnych akcji pozwalajcych na atwe budowanie
  formularzy rozbitych na kilka stron.
- Zawiera gotowe przykady najczciej spotykanych zastosowa.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_QuickForm_Controller.spec,v $
Revision 1.25  2006/11/26 20:28:14  glen
- 1.0.7

Revision 1.24  2006/06/03 21:48:57  glen
- 1.0.6

Revision 1.23  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.22  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.21  2005/11/05 17:51:32  glen
- 1.0.5

Revision 1.20  2005/10/30 22:56:53  glen
- rel 3

Revision 1.19  2005/10/30 22:35:01  glen
- resolve duplicate HTML/QuickForm

Revision 1.18  2005/10/05 18:31:31  glen
- rel 2

Revision 1.17  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.16  2005/09/22 22:00:34  glen
- new pear packaging

Revision 1.15  2005/01/01 09:19:18  adamg
- updated to 1.0.4

Revision 1.14  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.13  2004/10/01 19:30:52  adamg
- updated to 1.0.3

Revision 1.12  2004/08/21 16:52:40  adamg
- avoid conflict with php-pear-HTML_Page
- release 2

Revision 1.11  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.10  2004/03/23 19:27:39  adamg
- updated to 1.0.2

Revision 1.9  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.8  2003/12/12 18:40:19  adamg
- updated to 1.0.1

Revision 1.7  2003/11/05 21:19:50  adamg
- updated to 1.0 (stable)

Revision 1.6  2003/10/25 13:29:49  adamg
- updated to 0.9.3

Revision 1.5  2003/10/07 20:54:46  adamg
- do not use macros in URL

Revision 1.4  2003/10/02 15:58:09  adamg
- updated to 0.9.2

Revision 1.3  2003/09/20 01:17:33  adamg
- updated to 0.9.1

Revision 1.2  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.1  2003/08/31 10:40:59  adamg
- initial import
